<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_ldap', language 'mk', version '3.6'.
 *
 * @package     enrol_ldap
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['assignrole'] = 'Доделување на улогата \'{$a->role_shortname}\' на корисникот \'{$a->user_username}\' во курсот \'{$a->course_shortname}\' (id {$a->course_id})';
$string['assignrolefailed'] = 'Неуспешно назначување на улогата \'{$a->role_shortname}\' на корисникот \'{$a->user_username}\' во курсот \'{$a->course_shortname}\' (id {$a->course_id})';
$string['autocreate'] = '<p>Курсевите може да се креираат автоматски при упис на курсеви што сè уште не постојат во Moodle</p><p>Ако користите автоматско креирање курс, се препорачува да ги отстраните следниве можности: moodle/course:changeidnumber, moodle/course:changeshortname, moodle/course:changefullname and moodle/course:changesummary, од соодветните улоги за да се спречат модификации на четирите полиња на курсот наведени погоре (матичен број, презиме, полно име и резиме).</p>';
$string['autocreate_key'] = 'Креирај автоматски';
$string['autocreation_settings'] = 'Поставки за автоматско креирање курс';
$string['autoupdate_settings'] = 'Поставки за автоматско ажурирање курс';
$string['autoupdate_settings_desc'] = '<p>Изберете полиња за ажурирање кога работи скриптата за синхронизација (enrol/ldap/cli/sync.php).</p><p>Кога е избрано барем едно поле, ќе се појави апдејт.</p>';
$string['bind_dn'] = 'Ако сакате да користите обврзувачки корисник за пребарување на корисници, наведете го тука. Нешто од типот \'cn=ldapuser,ou=public,o=org\\';
$string['bind_dn_key'] = 'Врзи го името на корисникот';
$string['bind_pw'] = 'Лозинка за врзаниот корисник';
$string['bind_pw_key'] = 'Лозинка';
$string['bind_settings'] = 'Поставки на врзување';
$string['cannotcreatecourse'] = 'Не може да се креира курс: недостасуваат потребни податоци од записот LDAP!';
$string['cannotupdatecourse'] = 'Не може да се ажурира курс: недостасуваат потребни податоци од записот LDAP! Идентификациски број на курсот: \'{$a->idnumber}\\';
$string['cannotupdatecourse_duplicateshortname'] = 'Не може да се ажурира курсот: Дупликат скратен назив. Се прескокнува на курсот со број \'{$a->idnumber}\'...';
$string['category'] = 'Категорија за авто-креирани курсеви';
$string['category_key'] = 'Категорија';
$string['contexts'] = 'LDAP контексти';
$string['couldnotfinduser'] = 'Корисникот \'{$a}\', не е пронајден, се прескокнува';
$string['course_fullname'] = 'Изборно: LDAP атрибут од кој може да се земе полниот назив';
$string['course_fullname_key'] = 'Полн назив';
$string['course_fullname_updateonsync'] = 'Ажурирајте го полниот назив за време на скриптата за синхронизација';
$string['course_fullname_updateonsync_key'] = 'Ажурирај го полниот назив';
$string['course_idnumber'] = 'LDAP атрибут од кој може да се преземе ID бројот на курсот. Обично е \'cn\' или \'uid\'.';
$string['course_idnumber_key'] = 'ID број';
$string['course_search_sub'] = 'Пребарувај членства во групата од под-контексти';
$string['course_search_sub_key'] = 'Пребарај под-контексти';
$string['course_settings'] = 'Поставки за запишување на курсот';
$string['course_shortname'] = 'Изборно: LDAP атрибут од кој може да се земе скратениот назив';
$string['course_shortname_key'] = 'Скратен назив';
$string['course_shortname_updateonsync'] = 'Ажурирај го скратениот назив during synchronisation script';
$string['course_shortname_updateonsync_key'] = 'Ажурирај го скратениот назив';
$string['course_summary'] = 'Изборно: LDAP атрибут од кој може да се земе резимето';
$string['course_summary_key'] = 'Резиме';
$string['course_summary_updateonsync'] = 'Update summary за време на скриптата за синхронизација';
$string['course_summary_updateonsync_key'] = 'Ажурирај го резимето';
$string['coursenotexistskip'] = 'Курсот \'{$a}\' не постои и авто-креацијата е оневозможена, се прескокнува';
$string['courseupdated'] = 'Курсот со број \'{$a->idnumber}\' е успешно ажуриран.';
$string['courseupdateskipped'] = 'Курсот со id број \'{$a->idnumber}\' не бара ажурирање. Се прескокнува...';
$string['createcourseextid'] = 'КРЕИРАЈ Корисник запишан на непостоечки курс \'{$a->courseextid}\\';
$string['createnotcourseextid'] = 'Корисник запишан на непостоечки курс \'{$a->courseextid}\\';
$string['creatingcourse'] = 'Се креира курсот \'{$a}\'...';
$string['duplicateshortname'] = 'Креирањето на курсот не успеа. Дупликат скратен назив. Се прескокнува курсот со број \'{$a->idnumber}\'...';
$string['editlock'] = 'Вредност за заклучување';
$string['emptyenrolment'] = 'Празен упис за улогата \'{$a->role_shortname}\' во курсот \'{$a->course_shortname}\\';
$string['enrolname'] = 'LDAP';
$string['enroluser'] = 'Запиши го корисникот \'{$a->user_username}\' во курсот \'{$a->course_shortname}\' (id {$a->course_id})';
$string['enroluserenable'] = 'Овозможен е упис за корисникот \'{$a->user_username}\' во курсот \'{$a->course_shortname}\' (id {$a->course_id})';
$string['explodegroupusertypenotsupported'] = 'ldap_explode_group() не го поддржува избраниот вид корисник: {$a}';
$string['extcourseidinvalid'] = 'Надворешната id на курсот е невалидна!';
$string['extremovedsuspend'] = 'Оневозможен е упис за корисникот \'{$a->user_username}\' во курсот \'{$a->course_shortname}\' (id {$a->course_id})';
$string['extremovedsuspendnoroles'] = 'Оневозможен упис и отстранети улоги за корисникот \'{$a->user_username}\' во курсот \'{$a->course_shortname}\' (id {$a->course_id})';
$string['extremovedunenrol'] = 'Отпиши го корисникот \'{$a->user_username}\' од курсот \'{$a->course_shortname}\' (id {$a->course_id})';
$string['failed'] = 'Неуспешно!';
$string['general_options'] = 'Општи поставки';
$string['group_memberofattribute'] = 'Име на атрибутот што одредува на кои групи припаѓа даден корисник или група (на пример, член на, групно членство, итн.)';
$string['group_memberofattribute_key'] = '\'Член на\' атрибутот';
$string['host_url'] = 'Прецизирај LDAP хост во форма на URL \'ldap://ldap.myorg.com/\' или \'ldaps://ldap.myorg.com/\\';
$string['host_url_key'] = 'URL на хостот';
$string['idnumber_attribute'] = 'Ако членството во групата содржи истакнати имиња, наведете го истиот атрибут што сте го користеле за мапирање во LDAP поставките за автентикација на корисникот \'ID Number\'.';
$string['idnumber_attribute_key'] = 'ID број на атрибут';
$string['ldap:manage'] = 'Управувај со LDAP уписите';
$string['ldap_encoding'] = 'Наведете кодирање што го користи серверот LDAP. Најверојатно utf-8, MS AD v2 го користи стандардното кодирање на платформата како што се cp1252, cp1250, итн.';
$string['ldap_encoding_key'] = 'LDAP кодирање';
$string['memberattribute'] = 'Атрибут на LDAP член';
$string['memberattribute_isdn'] = 'Ако членството во групата содржи истакнати имиња, треба да ги наведете овде. Доколку тоа е случај, исто така треба да ги конфигурирате преостанатите поставки во овој дел.';
$string['memberattribute_isdn_key'] = 'Атрибутот на членот користи dn';
$string['nested_groups'] = 'Дали сакате да користите вгнездени групи (под-групи) за упис?';
$string['nested_groups_key'] = 'Под-групи';
$string['nested_groups_settings'] = 'Поставки за под-групите';
$string['nosuchrole'] = 'Не постои улогата: \'{$a}\\';
$string['objectclass'] = 'objectClass беше искористен за да се пребара курсот. Обично \'group\' или \'posixGroup\\';
$string['objectclass_key'] = 'Класа на објекти';
$string['ok'] = 'OK!';
$string['opt_deref'] = 'Ако членството во групата содржи истакнати имиња, наведете како се постапува со псевдонимите при пребарувањето. Изберете една од следниве вредности: \'Не\' (LDAP_DEREF_NEVER) или \'Да\' (LDAP_DEREF_ALWAYS).';
$string['opt_deref_key'] = 'Разликувачки псевдоними';
$string['phpldap_noextension'] = '<em>PHP LDAP модулот се чини дека не е присутен. Проверете дали е инсталиран и овозможен ако сакате да го користите овој плагин за уписи.</em>';
$string['pluginname'] = 'LDAP уписи';
$string['pluginname_desc'] = '<p>Можете да користите LDAP сервер за да ги контролирате вашите записи. Се претпоставува дека вашето LDAP дрво содржи групи што се мапираат на курсевите и дека секоја од тие групи/курсеви ќе има записи за членство за мапирање на студентите.</p> <p>Се претпоставува дека курсевите се дефинирани како групи во LDAP, со тоа што секоја група има повеќе полиња за членство (<em>member</em>или<em>memberUid</em>) кои содржат единствена идентификација на корисникот.</p><p>За да користите запишување во LDAP, вашите корисници <strong>мора</strong> да имаат важечко поле за број. LDAP
 групите мора да го имаат тој број во полињата за корисникот да биде запишан на курсот. Ова обично ќе функционира ако веќе користите LDAP автентикација. </p><p>Уписите ќе се ажурираат кога корисникот ќе се најави. Можете исто така да ја извршите скриптата за да ги одржувате уписите синхронизирани. Погледнете во <em>enrol/ldap/cli/sync.php</em>.</p> <p>Овој плагин може да се постави и за автоматско креирање нови курсеви кога ќе се појават нови LDAP групи.</p>';
$string['pluginnotenabled'] = 'Плагинот не е овозможен!';
$string['privacy:metadata'] = 'LDAP плагинот за записи не зачувува лични податоци.';
$string['role_mapping'] = '<p>За секоја улога, треба да ги наведете сите LDAP контексти, каде што се наоѓаат групите што ги претставуваат курсевите. Одделете различни контексти со точка-точка и запирка (;).</p><p>Исто така, треба да го наведете атрибутот што го користи вашиот LDAP сервер за да ги задржи членовите на групата. Обично тоа е \'член\' или \'memberUid\'.</p>';
$string['role_mapping_attribute'] = 'Атрибут за LDAP членот {$a}';
$string['role_mapping_context'] = 'LDAP контексти за {$a}';
$string['role_mapping_key'] = 'Мапирај ги улогите од LDAP';
$string['roles'] = 'Мапирање улоги';
$string['server_settings'] = 'Поставки за LDAP серверот';
$string['synccourserole'] = '== Се синхронизира курсот \'{$a->idnumber}\' за улогата \'{$a->role_shortname}\\';
$string['syncenrolmentstask'] = 'Синхронизирај ги LDAP задачите за упис';
$string['template'] = 'Optional: автоматско креираните курсеви можат да ги копираат нивните поставки од курсот-образец';
$string['template_key'] = 'Образец';
$string['unassignrole'] = 'Се повлекува улогата \'{$a->role_shortname}\' од корисникот \'{$a->user_username}\' за курсот \'{$a->course_shortname}\' (id {$a->course_id})';
$string['unassignrolefailed'] = 'Неуспешно беше назначена улогата \'{$a->role_shortname}\' на корисникот \'{$a->user_username}\' за курсот \'{$a->course_shortname}\' (id {$a->course_id})';
$string['unassignroleid'] = 'Повлекување на улогата со id \'{$a->role_id}\' од корисникот со id \'{$a->user_id}\\';
$string['updatelocal'] = 'Ажурирај ги локалните податоци';
$string['user_attribute'] = 'Ако членството во групата содржи истакнати имиња, наведете го атрибутот што се користи за именување / пребарување на корисници. Ако користите LDAP автентикација, оваа вредност треба да одговара на атрибутот наведен во мапирањето на \'ID број\' во плагинот за LDAP автентикација.';
$string['user_attribute_key'] = 'ID број на атрибут';
$string['user_contexts'] = 'Ако членството во групата содржи истакнати имиња, наведете го списокот со контексти каде што се наоѓаат корисниците. Одделете различни контексти со точка-запирка (;). На пример: \'ou=users,o=org; ou=others,o=org\'.';
$string['user_contexts_key'] = 'Контексти';
$string['user_search_sub'] = 'Ако членството во групата содржи истакнати имиња, наведете дали пребарувањето за корисници треба да се прави и во под-контекстите.';
$string['user_search_sub_key'] = 'Пребарај под-контексти';
$string['user_settings'] = 'Поставки за преглед на корисник';
$string['user_type'] = 'Ако членството во групата содржи истакнати имиња, прецизирајте како се зачувуваат корисниците во LDAP';
$string['user_type_key'] = 'Вид на корисник';
$string['version'] = 'Верзијата на протоколот LDAP што ја користи вашиот сервер';
$string['version_key'] = 'Верзија';
